DLM_TOOL(8)

NAME
dlm_tool - a utility for the dlm and dlm_controld daemon

SYNOPSIS
dlm_tool [COMMAND] [OPTIONS] [ name ]

COMMANDS

ls
    Display dlm_controld internal lockspace state.

status
    Dump dlm_controld daemon state.

dump
    Dump dlm_controld debug buffer.

dump_config
    Dump dlm_controld config settings.

fence_ack nodeid
    Quit trying to fence a node.

log_plock
    Dump dlm_controld plock debug buffer.

plocks name
    Dump posix locks from dlm_controld for the lockspace.

join name
    Join a lockspace.

leave name
    Leave a lockspace.

lockdebug name
    Complete display of locks from the lockspace.

lockdump name
    Minimal display of locks from the lockspace (deprecated).

run command
    Run command and check for result.

run_start command
    Run command and don't check for result.

run_check uuid
    Check status of a command that was run.

run_cancel uuid
    Cancel a command that was run and is not yet done.

run_list
    Dump a list of running commands.

OPTIONS

-n Show all node information in ls.

-d 0|1 Resource directory off/on in join, default 0

-e 0|1 Exclusive create off/on in join, default 0

-f 0|1 FS (filesystem) flag off/on in join, default 0

-m mode Permission mode for lockspace device (octal), default 0600

-s Summary following lockdebug output (experiemental)

-v Verbose lockdebug output

-w Wide lockdebug output

-M Include MSTCPY locks in lockdump output

-h Print help, then exit

-V Print program version information, then exit

SEE ALSO
dlm_controld(8), dlm.conf(5)